#include <stdio.h>
#include <stdlib.h>

int main(int argc, char **argv)
{
    char buf[128];

    while(gets(buf)!=NULL){
        double val;
        sscanf(buf, "%le", &val);
        printf("got %le\n", val);
    }
}
